Bug 739106 - JBoss public key is missing in deployable version.
Summary: JBoss public key is missing in deployable version.
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: Build Process
Version: BRMS 5.2.0.GA
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: BRMS 5.2.0.GA
Assignee: Ryan Zhang
QA Contact: Lukáš Petrovický
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-16 15:03 UTC by Petr Široký
Modified: 2019-01-01 02:56 UTC (History)
2 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)

Description Petr Široký 2011-09-16 15:03:30 UTC
Description of problem:
The JBoss public key is missing in deployable version of BRMS. AFAIK without the key, there is no way to check that the jars are properly signed. We should include the key, so customers can check that the bits they got are OK.


Version-Release number of selected component (if applicable):
5.2.0 (all builds)

Additional info:
Key is included only in _standalone_ version in jboss-as-web/bin directory.

Comment 1 Ryan Zhang 2011-09-19 04:27:18 UTC
Added the JBossPublicKey.RSA to deployable package root folder.
Please check it in ER4.

Comment 2 lcarlon 2011-09-19 23:34:05 UTC
Marked as no release note needed as this appears to affect only internal builds.

Comment 3 Petr Široký 2011-09-20 10:42:15 UTC
Verified fixed in 5.2.0 ER4.


Note You need to log in before you can comment on or make changes to this bug.